﻿using Syncfusion.SfChart.XForms;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Xamarin.Forms;

namespace Chart_GettingStarted
{
	public partial class MainPage : ContentPage
	{        
        public MainPage()
		{
			InitializeComponent();
        }

        private void Chart_TrackballCreated(object sender, ChartTrackballCreatedEventArgs e)
        {
            foreach (var info in e.ChartPointsInfo)
            {
                var label = Convert.ToDouble(info.Label);
                info.Label = label.ToString("###,###");
            }
        }
    }

    public class ViewModel
    {
        public List<Person> Data { get; set; }
        public ViewModel()
        {
            Data = new List<Person>()
            {
                new Person("David", 500000),
                new Person("Micheal", 700000),
                new Person("Steve", 600000),
                new Person("Joel", 900000),
                new Person("David", 300000),
                new Person("John", 200000),
                new Person("Loel", 400000),
            };
        }
    }

    public class Person
    {
        public string XValue { get; set; }

        public double YValue { get; set; }

        public Person(string xValue, double yValue)
        {
            this.XValue = xValue;
            this.YValue = yValue;
        }
    }
}
